﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.ComponentModel.Composition;
using Caliburn.Micro;
using VisualComponents.Create3D;
using VisualComponents.UX.Shared;


namespace Example002
{
    //action or netCommand
    [Export(typeof(IActionItem))]
    public class MyHelloAction: ActionItem
    {
        public MyHelloAction() : base("HelloCommand") {

        }

        public override void Execute()
        {
            IMessageService ms = IoC.Get<IMessageService>();
            ms.AppendMessage("Hello World, from My Command", MessageLevel.Warning);
        }
    }

    //plugin calling my action
    [Export(typeof(IPlugin))]
    public class MyPlugin : IPlugin
    {
        void IPlugin.Exit()
        {
        }

        void IPlugin.Initialize()
        {
            ICommandRegistry cr = IoC.Get<ICommandRegistry>();
            cr.ExecuteAction("HelloCommand");
        }
    }
}
